## olive-editor 20200528

=== CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.13 FATAL_ERROR)

project(olive-editor VERSION 0.2.0 LANGUAGES CXX)

option(UPDATE_TS "Update translations" OFF)
option(BUILD_DOXYGEN "Build Doxygen documentation" OFF)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(OLIVE_DEFINITIONS -DAPPVERSION="${PROJECT_VERSION}" -DQT_DEPRECATED_WARNINGS)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

if(UNIX AND NOT APPLE AND NOT DEFINED OpenGL_GL_PREFERENCE)
  set(OpenGL_GL_PREFERENCE LEGACY)
endif()

find_package(OpenGL REQUIRED)

find_package(OpenColorIO REQUIRED)

find_package(OpenImageIO 1.6 REQUIRED)

find_package(OpenEXR REQUIRED)

find_package(Qt5 5.6 REQUIRED
  COMPONENTS
  Core
  Gui
  Widgets
  Multimedia
  OpenGL
  Svg
  LinguistTools
)

find_package(FFMPEG 3.0 REQUIRED
  COMPONENTS
  avutil
  avcodec
  avformat
  avfilter
  swscale
  swresample
)

if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --format=%h
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      OUTPUT_VARIABLE GIT_HASH
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )
  endif()
elseif(UNIX AND NOT APPLE AND NOT ${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
  # Fallback for Ubuntu/Launchpad (extracts Git hash from debian/changelog rather than Git repo)
  # (see https://answers.launchpad.net/launchpad/+question/678556)
  execute_process(COMMAND sh -c "grep -Po '(?<=-)(([a-z0-9])\\w+)(?=\\+)' -m 1 changelog"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/debian
    OUTPUT_VARIABLE GIT_HASH
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
endif()
if(DEFINED GIT_HASH)
  message("Olive: Git hash = " "${GIT_HASH}")
  list(APPEND OLIVE_DEFINITIONS -DGITHASH="${GIT_HASH}")
else()
  message("Olive: No Git hash defined!")
endif()

if(BUILD_DOXYGEN)
  find_package(Doxygen)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_subdirectory(app)

=== app/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Set Olive sources and resources
set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  core.h
  core.cpp
  main.cpp
)

if (WIN32)
  set(OLIVE_RESOURCES
    ${OLIVE_RESOURCES}
    packaging/windows/resources.rc
  )
endif()

add_subdirectory(audio)
add_subdirectory(cli)
add_subdirectory(codec)
add_subdirectory(common)
add_subdirectory(config)
add_subdirectory(dialog)
add_subdirectory(node)
add_subdirectory(panel)
add_subdirectory(project)
add_subdirectory(render)
add_subdirectory(shaders)
add_subdirectory(task)
add_subdirectory(timeline)
add_subdirectory(tool)
add_subdirectory(ui)
add_subdirectory(undo)
add_subdirectory(widget)
add_subdirectory(window)

# Create main application target
set(OLIVE_TARGET "olive-editor")
if(APPLE)
  set(OLIVE_TARGET "Olive")

  set(OLIVE_ICON packaging/macos/olive.icns)

  set(OLIVE_RESOURCES
    ${OLIVE_RESOURCES}
    ${OLIVE_ICON}
  )
endif()

# Add executable
add_executable(${OLIVE_TARGET}
  ${OLIVE_SOURCES}
  ${OLIVE_RESOURCES}
  ${OLIVE_QM_FILES}
)

if(APPLE)
  set_target_properties(${OLIVE_TARGET} PROPERTIES
    MACOSX_BUNDLE TRUE
    MACOSX_BUNDLE_GUI_IDENTIFIER org.olivevideoeditor.Olive
    MACOSX_BUNDLE_ICON_FILE olive.icns
    RESOURCE "${OLIVE_ICON}"
  )

  set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9")
endif()

# Set compiler definitions
target_compile_definitions(${OLIVE_TARGET} PRIVATE ${OLIVE_DEFINITIONS})

# Set compiler options
if(MSVC)
  target_compile_options(
    ${OLIVE_TARGET}
    PRIVATE
    /WX
    /wd4267
    /wd4244
    /experimental:external
    /external:anglebrackets
    /external:W0
    "$<$<CONFIG:RELEASE>:/O2>"
    "$<$<COMPILE_LANGUAGE:CXX>:/MP>"
  )
else()
  target_compile_options(
    ${OLIVE_TARGET}
    PRIVATE
    -O2
    -Werror
    -Wuninitialized
    -pedantic-errors
    -Wall
    -Wextra
    -Wno-unused-parameter
  )
endif()

if(UNIX AND NOT APPLE)
  target_link_options(
    ${OLIVE_TARGET}
    PRIVATE
    -rdynamic
  )
endif()

# Set include directories
target_include_directories(
  ${OLIVE_TARGET}
  PRIVATE
  ${FFMPEG_INCLUDE_DIRS}
  ${OCIO_INCLUDE_DIRS}
  ${OIIO_INCLUDE_DIRS}
  ${OPENEXR_INCLUDE_DIRS}
)

# Set link libraries
target_link_libraries(
  ${OLIVE_TARGET}
  PRIVATE
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Qt5::Multimedia
  Qt5::OpenGL
  Qt5::Svg
  OpenGL::GL
  FFMPEG::avutil
  FFMPEG::avcodec
  FFMPEG::avformat
  FFMPEG::avfilter
  FFMPEG::swscale
  FFMPEG::swresample
  ${OCIO_LIBRARIES}
  ${OIIO_LIBRARIES}
  ${OPENEXR_LIBRARIES}
)

if (WIN32)
  target_link_libraries(
    ${OLIVE_TARGET}
    PRIVATE
    DbgHelp
  )
elseif (APPLE)
  target_link_libraries(
    ${OLIVE_TARGET}
    PRIVATE
    "-framework ApplicationServices"
  )
endif()

set(OLIVE_TS_FILES
  # FIXME: Empty variable
)

if(UPDATE_TS)
  qt5_create_translation(OLIVE_QM_FILES ${CMAKE_SOURCE_DIR} ${OLIVE_TS_FILES})
else()
  qt5_add_translation(OLIVE_QM_FILES ${OLIVE_TS_FILES})
endif()

add_subdirectory(packaging)

if(DOXYGEN_FOUND)
  set(DOXYGEN_PROJECT_NAME "Olive")
  set(DOXYGEN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/docs")
  set(DOXYGEN_EXTRACT_ALL "YES")
  set(DOXYGEN_EXTRACT_PRIVATE "YES")
  doxygen_add_docs(docs ALL ${OLIVE_SOURCES})
endif()

set(OLIVE_CRASH_TARGET "olive-crashhandler")

set(OLIVE_CRASH_SOURCES
  dialog/crashhandler/crashhandler.h
  dialog/crashhandler/crashhandler.cpp
  dialog/crashhandler/crashhandlermain.cpp
)

if (WIN32)
  add_executable(
    ${OLIVE_CRASH_TARGET}
    WIN32
    ${OLIVE_CRASH_SOURCES}
  )
else()
  add_executable(
    ${OLIVE_CRASH_TARGET}
    ${OLIVE_CRASH_SOURCES}
  )
endif()

target_link_libraries(
  ${OLIVE_CRASH_TARGET}
  PRIVATE
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
)

if(UNIX AND NOT APPLE)
  install(TARGETS ${OLIVE_TARGET} ${OLIVE_CRASH_TARGET} RUNTIME DESTINATION bin)
endif()

if(APPLE)
  # Move crash handler program inside Mac app bundle
  add_custom_command(TARGET ${OLIVE_CRASH_TARGET} POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E copy ${OLIVE_CRASH_TARGET} $<TARGET_FILE_DIR:${OLIVE_TARGET}>
  )
endif()

=== app/audio/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  audio/audiomanager.h
  audio/audiomanager.cpp
  audio/outputdeviceproxy.h
  audio/outputdeviceproxy.cpp
  audio/outputmanager.h
  audio/outputmanager.cpp
  audio/sampleformat.h
  audio/sampleformat.cpp
  audio/sumsamples.h
  audio/sumsamples.cpp
  audio/tempoprocessor.h
  audio/tempoprocessor.cpp
  PARENT_SCOPE
)

=== app/codec/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(ffmpeg)
add_subdirectory(oiio)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  codec/decoder.h
  codec/decoder.cpp
  codec/encoder.h
  codec/encoder.cpp
  codec/frame.h
  codec/frame.cpp
  codec/samplebuffer.h
  codec/samplebuffer.cpp
  codec/waveinput.h
  codec/waveinput.cpp
  codec/waveoutput.h
  codec/waveoutput.cpp
  PARENT_SCOPE
)

=== app/common/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  common/bezier.h
  common/bezier.cpp
  common/cancelableobject.h
  common/channellayout.h
  common/clamp.h
  common/crashhandler.h
  common/crashhandler.cpp
  common/debug.h
  common/debug.cpp
  common/define.h
  common/filefunctions.h
  common/filefunctions.cpp
  common/flipmodifiers.h
  common/flipmodifiers.cpp
  common/functiontimer.h
  common/lerp.h
  common/memorypool.h
  common/qtutils.h
  common/qtutils.cpp
  common/range.h
  common/rational.h
  common/rational.cpp
  common/threadedobject.h
  common/threadedobject.cpp
  common/timecodefunctions.h
  common/timecodefunctions.cpp
  common/timelinecommon.h
  common/timerange.h
  common/timerange.cpp
  common/tohex.h
  common/xmlutils.h
  common/xmlutils.cpp
  PARENT_SCOPE
)

=== app/dialog/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(about)
add_subdirectory(actionsearch)
add_subdirectory(color)
add_subdirectory(export)
add_subdirectory(footageproperties)
add_subdirectory(keyframeproperties)
add_subdirectory(preferences)
add_subdirectory(progress)
add_subdirectory(projectproperties)
add_subdirectory(rendercancel)
add_subdirectory(sequence)
add_subdirectory(speedduration)
add_subdirectory(task)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  PARENT_SCOPE
)

=== app/node/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(audio)
add_subdirectory(block)
add_subdirectory(filter)
add_subdirectory(generator)
add_subdirectory(input)
add_subdirectory(math)
add_subdirectory(output)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  node/dependency.h
  node/dependency.cpp
  node/edge.h
  node/edge.cpp
  node/factory.h
  node/factory.cpp
  node/graph.h
  node/graph.cpp
  node/input.h
  node/input.cpp
  node/inputarray.h
  node/inputarray.cpp
  node/inputdragger.h
  node/inputdragger.cpp
  node/keyframe.h
  node/keyframe.cpp
  node/node.h
  node/node.cpp
  node/output.h
  node/output.cpp
  node/param.h
  node/param.cpp
  node/traverser.h
  node/traverser.cpp
  node/value.h
  node/value.cpp
  PARENT_SCOPE
)

=== app/panel/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(audiomonitor)
add_subdirectory(curve)
add_subdirectory(footageviewer)
add_subdirectory(node)
add_subdirectory(param)
add_subdirectory(pixelsampler)
add_subdirectory(project)
add_subdirectory(scope)
add_subdirectory(sequenceviewer)
add_subdirectory(taskmanager)
add_subdirectory(timebased)
add_subdirectory(timeline)
add_subdirectory(tool)
add_subdirectory(viewer)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  panel/panelmanager.h
  panel/panelmanager.cpp
  PARENT_SCOPE
)

=== app/render/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(backend)
add_subdirectory(ocioconf)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  render/audioparams.h
  render/audioparams.cpp
  render/color.h
  render/color.cpp
  render/colormanager.h
  render/colormanager.cpp
  render/colorprocessor.h
  render/colorprocessor.cpp
  render/diskmanager.h
  render/diskmanager.cpp
  render/managedcolor.h
  render/managedcolor.cpp
  render/pixelformat.h
  render/pixelformat.cpp
  render/rendermodes.h
  render/videoparams.h
  render/videoparams.cpp
  PARENT_SCOPE
)

set(OLIVE_RESOURCES
  ${OLIVE_RESOURCES}
  PARENT_SCOPE
)

=== app/task/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(conform)
add_subdirectory(proxy)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  task/task.h
  task/task.cpp
  task/taskmanager.h
  task/taskmanager.cpp
  PARENT_SCOPE
)

=== app/timeline/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  timeline/timelinecoordinate.h
  timeline/timelinecoordinate.cpp
  timeline/timelinemarker.h
  timeline/timelinemarker.cpp
  timeline/timelinepoints.h
  timeline/timelinepoints.cpp
  timeline/timelineworkarea.h
  timeline/timelineworkarea.cpp
  timeline/trackreference.h
  timeline/trackreference.cpp
  PARENT_SCOPE
)

=== app/widget/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(audiomonitor)
add_subdirectory(clickablelabel)
add_subdirectory(collapsebutton)
add_subdirectory(colorbutton)
add_subdirectory(colorwheel)
add_subdirectory(columnedgridlayout)
add_subdirectory(curvewidget)
add_subdirectory(flowlayout)
add_subdirectory(focusablelineedit)
add_subdirectory(footagecombobox)
add_subdirectory(keyframeview)
add_subdirectory(manageddisplay)
add_subdirectory(menu)
add_subdirectory(nodecombobox)
add_subdirectory(nodecopypaste)
add_subdirectory(nodeview)
add_subdirectory(nodeparamview)
add_subdirectory(panel)
add_subdirectory(pixelsampler)
add_subdirectory(playbackcontrols)
add_subdirectory(projectexplorer)
add_subdirectory(projecttoolbar)
add_subdirectory(resizablescrollbar)
add_subdirectory(scope)
add_subdirectory(slider)
add_subdirectory(taskview)
add_subdirectory(timebased)
add_subdirectory(timelinewidget)
add_subdirectory(timeruler)
add_subdirectory(timetarget)
add_subdirectory(toolbar)
add_subdirectory(viewer)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  PARENT_SCOPE
)

=== debian/changelog ===
olive-editor (20200528-1build2) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Sep 2020 17:16:46 +0200

olive-editor (20200528-1build1) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:39:52 +0100

olive-editor (20200528-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - don't build on 32-bit architectures. (Closes: #950564)
    - add libopenexr-dev to Build-Depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 02 Jun 2020 08:32:58 +0200

=== debian/control ===
Source: olive-editor
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), qtmultimedia5-dev, libqt5multimedia5-plugins, libavfilter-dev, libqt5opengl5-dev, frei0r-plugins-dev, libqt5opengl5-dev, libqt5svg5-dev,  libavformat-dev, libavcodec-dev, libavutil-dev, libswscale-dev, libswresample-dev, libpostproc-dev, cmake, qttools5-dev, libopencolorio-dev, libopenimageio-dev, libopenexr-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/olive-editor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/olive-editor
Homepage: https://www.olivevideoeditor.org/

Package: olive-editor
Architecture: amd64 arm64 mips64el ppc64el s390x alpha ppc64 riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, frei0r-plugins, libqt5multimedia5-plugins
Description: Professional open-source NLE video editor
 This is a free non-linear video editor. It provides sensible cutting tools,
 and basic FX animation. There are solic color and title generators, for cutting
 it has tools like Razor, Ripple, Slide, and Slip.

## olive-editor 20200620

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
   OpenGL
   Svg
   LinguistTools
+  Concurrent
 )
 
 find_package(FFMPEG 3.0 REQUIRED

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -100,13 +100,14 @@
   target_compile_options(
     ${OLIVE_TARGET}
     PRIVATE
-    -O2
+    "$<$<CONFIG:RELEASE>:-O2>"
     -Werror
     -Wuninitialized
     -pedantic-errors
     -Wall
     -Wextra
     -Wno-unused-parameter
+    -Wshadow
   )
 endif()
 
@@ -125,7 +126,7 @@
   ${FFMPEG_INCLUDE_DIRS}
   ${OCIO_INCLUDE_DIRS}
   ${OIIO_INCLUDE_DIRS}
-  ${OPENEXR_INCLUDE_DIRS}
+  ${OPENEXR_INCLUDE_DIR}
 )
 
 # Set link libraries
@@ -138,6 +139,7 @@
   Qt5::Multimedia
   Qt5::OpenGL
   Qt5::Svg
+  Qt5::Concurrent
   OpenGL::GL
   FFMPEG::avutil
   FFMPEG::avcodec

=== app/audio/CMakeLists.txt ===
--- 
+++ 
@@ -18,14 +18,14 @@
   ${OLIVE_SOURCES}
   audio/audiomanager.h
   audio/audiomanager.cpp
+  audio/audiovisualwaveform.h
+  audio/audiovisualwaveform.cpp
   audio/outputdeviceproxy.h
   audio/outputdeviceproxy.cpp
   audio/outputmanager.h
   audio/outputmanager.cpp
   audio/sampleformat.h
   audio/sampleformat.cpp
-  audio/sumsamples.h
-  audio/sumsamples.cpp
   audio/tempoprocessor.h
   audio/tempoprocessor.cpp
   PARENT_SCOPE

=== app/cli/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(cliprogress)
add_subdirectory(clitask)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  PARENT_SCOPE
)

=== app/codec/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,10 @@
   codec/decoder.cpp
   codec/encoder.h
   codec/encoder.cpp
+  codec/exportcodec.h
+  codec/exportcodec.cpp
+  codec/exportformat.h
+  codec/exportformat.cpp
   codec/frame.h
   codec/frame.cpp
   codec/samplebuffer.h

=== app/common/CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,6 @@
   common/threadedobject.cpp
   common/timecodefunctions.h
   common/timecodefunctions.cpp
-  common/timelinecommon.h
   common/timerange.h
   common/timerange.cpp
   common/tohex.h

=== app/config/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  config/config.h
  config/config.cpp
  PARENT_SCOPE
)

=== app/dialog/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 add_subdirectory(progress)
 add_subdirectory(projectproperties)
 add_subdirectory(rendercancel)
+add_subdirectory(richtext)
 add_subdirectory(sequence)
 add_subdirectory(speedduration)
 add_subdirectory(task)

=== app/node/CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,6 @@
 
 set(OLIVE_SOURCES
   ${OLIVE_SOURCES}
-  node/dependency.h
-  node/dependency.cpp
   node/edge.h
   node/edge.cpp
   node/factory.h

=== app/packaging/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if(UNIX AND NOT APPLE)
  add_subdirectory(linux)
endif()

=== app/panel/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 add_subdirectory(project)
 add_subdirectory(scope)
 add_subdirectory(sequenceviewer)
+add_subdirectory(table)
 add_subdirectory(taskmanager)
 add_subdirectory(timebased)
 add_subdirectory(timeline)

=== app/project/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2019 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(item)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  project/project.h
  project/project.cpp
  project/projectviewmodel.h
  project/projectviewmodel.cpp
  PARENT_SCOPE
)

=== debian/changelog ===
olive-editor (20200620-2ubuntu4) impish; urgency=medium

  * Back in sync with Debian now that the dwz tool is fixed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Jul 2021 16:53:38 +0200

olive-editor (20200620-2) unstable; urgency=medium

  * d/patches/qt: apply patch from upstream, hinted by
    Gianfranco Costamagna, thanks.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 05 Nov 2020 12:21:30 +0100

olive-editor (20200620-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * d/control: added Rules-Requires-Root.
  * d/watch: drop template leftover.
  * d/copyright: update years, add Upstream-Contact field.
  * d/upstream/metadata: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 20 Jul 2020 20:00:50 +0200

=== debian/control ===
Source: olive-editor
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13), qtmultimedia5-dev, libqt5multimedia5-plugins, libavfilter-dev, libqt5opengl5-dev, frei0r-plugins-dev, libqt5opengl5-dev, libqt5svg5-dev,  libavformat-dev, libavcodec-dev, libavutil-dev, libswscale-dev, libswresample-dev, libpostproc-dev, cmake, qttools5-dev, libopencolorio-dev, libopenimageio-dev, libopenexr-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/olive-editor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/olive-editor
Homepage: https://www.olivevideoeditor.org/

Package: olive-editor
Architecture: amd64 arm64 mips64el ppc64el s390x alpha ppc64 riscv64
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, frei0r-plugins, libqt5multimedia5-plugins
Description: Professional open-source NLE video editor
 This is a free non-linear video editor. It provides sensible cutting tools,
 and basic FX animation. There are solic color and title generators, for cutting
 it has tools like Razor, Ripple, Slide, and Slip.

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/olive-editor/olive/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## olive-editor 20220815+ds

=== CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2022 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.13 FATAL_ERROR)

project(olive-editor VERSION 0.2.0 LANGUAGES CXX)

option(BUILD_DOXYGEN "Build Doxygen documentation" OFF)
option(BUILD_TESTS "Build unit tests" OFF)
option(USE_WERROR "Error on compile warning" OFF)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Sanitizers
add_library(olive-sanitizers INTERFACE)
include(cmake/Sanitizers.cmake)
enable_sanitizers(olive-sanitizers)
list(APPEND OLIVE_LIBRARIES olive-sanitizers)

# Set compiler options
if(MSVC)
  set(OLIVE_COMPILE_OPTIONS
    /wd4267
    /wd4244
    /experimental:external
    /external:anglebrackets
    /external:W0
    "$<$<CONFIG:RELEASE>:/O2>"
    "$<$<COMPILE_LANGUAGE:CXX>:/MP>"
  )
  if (USE_WERROR)
    list(APPEND OLIVE_COMPILE_OPTIONS "/WX")
  endif()
else()
  set(OLIVE_COMPILE_OPTIONS
    "$<$<CONFIG:RELEASE>:-O2>"
    -Wuninitialized
    -pedantic-errors
    -Wall
    -Wextra
    -Wno-unused-parameter
    -Wshadow
  )
  if (USE_WERROR)
    list(APPEND OLIVE_COMPILE_OPTIONS "-Werror")
  endif()
endif()

set(OLIVE_DEFINITIONS -DQT_DEPRECATED_WARNINGS)
if (WIN32)
  list(APPEND OLIVE_DEFINITIONS -DUNICODE -D_UNICODE)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# Link OpenGL
if(UNIX AND NOT APPLE AND NOT DEFINED OpenGL_GL_PREFERENCE)
  set(OpenGL_GL_PREFERENCE LEGACY)
endif()
find_package(OpenGL REQUIRED)
list(APPEND OLIVE_LIBRARIES OpenGL::GL)

# Link OpenColorIO
find_package(OpenColorIO 2.1.1 REQUIRED)
list(APPEND OLIVE_LIBRARIES ${OCIO_LIBRARIES})
list(APPEND OLIVE_INCLUDE_DIRS ${OCIO_INCLUDE_DIRS})

# Link OpenImageIO
find_package(OpenImageIO 2.1.12 REQUIRED)
list(APPEND OLIVE_LIBRARIES ${OIIO_LIBRARIES})
list(APPEND OLIVE_INCLUDE_DIRS ${OIIO_INCLUDE_DIRS})

# Link OpenEXR
find_package(OpenEXR REQUIRED)
list(APPEND OLIVE_LIBRARIES ${OPENEXR_LIBRARIES})
list(APPEND OLIVE_INCLUDE_DIRS ${OPENEXR_INCLUDES})

# Link Qt 5
set(QT_LIBRARIES
  Core
  Gui
  Widgets
  OpenGL
  Svg
  LinguistTools
  Concurrent
)
if (UNIX AND NOT APPLE)
  list(APPEND QT_LIBRARIES DBus)
endif()
find_package(Qt5 5.6 REQUIRED
  COMPONENTS
    ${QT_LIBRARIES}
  OPTIONAL_COMPONENTS
    Network
)
if (NOT Qt5Network_FOUND)
  message("   Qt5::Network module not found, crash reporting will be disabled.")
endif()
list(APPEND OLIVE_LIBRARIES
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Qt5::OpenGL
  Qt5::Svg
  Qt5::Concurrent
)

# Link FFmpeg
find_package(FFMPEG 3.0 REQUIRED
  COMPONENTS
  avutil
  avcodec
  avformat
  avfilter
  swscale
  swresample
)
list(APPEND OLIVE_INCLUDE_DIRS ${FFMPEG_INCLUDE_DIRS})
list(APPEND OLIVE_LIBRARIES
  FFMPEG::avutil
  FFMPEG::avcodec
  FFMPEG::avformat
  FFMPEG::avfilter
  FFMPEG::swscale
  FFMPEG::swresample
)

# Link PortAudio
find_package(PortAudio REQUIRED)
set(CMAKE_REQUIRED_INCLUDES ${PORTAUDIO_INCLUDE_DIRS})
include(CheckIncludeFileCXX)
check_include_file_cxx( "pa_jack.h" PA_HAS_JACK)
if (PA_HAS_JACK)
  list(APPEND OLIVE_DEFINITIONS PA_HAS_JACK)
endif()

list(APPEND OLIVE_INCLUDE_DIRS ${PORTAUDIO_INCLUDE_DIRS})
list(APPEND OLIVE_LIBRARIES ${PORTAUDIO_LIBRARIES})

# Optional: Link OpenTimelineIO
find_package(OpenTimelineIO)
if (OpenTimelineIO_FOUND)
  list(APPEND OLIVE_DEFINITIONS USE_OTIO)
  list(APPEND OLIVE_INCLUDE_DIRS ${OTIO_INCLUDE_DIRS})
  list(APPEND OLIVE_LIBRARIES ${OTIO_LIBRARIES})
else()
  message("   OpenTimelineIO interchange will be disabled.")
endif()

# Optional: Link Google Crashpad
find_package(GoogleCrashpad)
if (GoogleCrashpad_FOUND)
  list(APPEND OLIVE_DEFINITIONS USE_CRASHPAD)
  list(APPEND OLIVE_INCLUDE_DIRS ${CRASHPAD_INCLUDE_DIRS})
  list(APPEND OLIVE_LIBRARIES ${CRASHPAD_LIBRARIES})
else()
  message("   Automatic crash reporting will be disabled.")

  if (APPLE)
    # Enables use of special functions for slider dragging, only linked if Crashpad isn't found
    # because Crashpad links it itself and will cause duplicate references if we also link it
    list(APPEND OLIVE_LIBRARIES "-framework ApplicationServices")
  endif()
endif()

if (WIN32)
  list(APPEND OLIVE_DEFINITIONS "-DUNICODE -D_UNICODE")
elseif (APPLE)
  list(APPEND OLIVE_LIBRARIES "-framework IOKit")
elseif(UNIX)
  list(APPEND OLIVE_LIBRARIES Qt5::DBus)
endif()

# Generate Git hash
set(PROJECT_LONG_VERSION ${PROJECT_VERSION})
if(EXISTS "${CMAKE_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short=8 HEAD
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      OUTPUT_VARIABLE GIT_HASH
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )

    set(PROJECT_LONG_VERSION ${PROJECT_VERSION}-${GIT_HASH})
  endif()
endif()

# Optional: Find Doxygen if requested
if(BUILD_DOXYGEN)
  find_package(Doxygen)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
list(APPEND OLIVE_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/ext)

add_subdirectory(app)

if (BUILD_TESTS)
enable_testing()
add_subdirectory(tests)
endif()

=== app/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Olive - Non-Linear Video Editor
-# Copyright (C) 2019 Olive Team
+# Copyright (C) 2022 Olive Team
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,36 +16,53 @@
 
 set(OLIVE_SOURCES
   ${OLIVE_SOURCES}
+  common/bezier.cpp
   common/bezier.h
-  common/bezier.cpp
   common/cancelableobject.h
   common/channellayout.h
   common/clamp.h
-  common/crashhandler.h
-  common/crashhandler.cpp
+  common/commandlineparser.cpp
+  common/commandlineparser.h
+  common/crashpadinterface.cpp
+  common/crashpadinterface.h
+  common/crashpadutils.h
+  common/debug.cpp
   common/debug.h
-  common/debug.cpp
+  common/decibel.h
   common/define.h
+  common/ffmpegutils.cpp
+  common/ffmpegutils.h
+  common/filefunctions.cpp
   common/filefunctions.h
-  common/filefunctions.cpp
+  common/flipmodifiers.cpp
   common/flipmodifiers.h
-  common/flipmodifiers.cpp
   common/functiontimer.h
+  common/html.cpp
+  common/html.h
+  common/jobtime.cpp
+  common/jobtime.h
   common/lerp.h
   common/memorypool.h
+  common/ocioutils.cpp
+  common/ocioutils.h
+  common/oiioutils.cpp
+  common/oiioutils.h
+  common/otioutils.h
+  common/qtutils.cpp
   common/qtutils.h
-  common/qtutils.cpp
   common/range.h
+  common/ratiodialog.cpp
+  common/ratiodialog.h
+  common/rational.cpp
   common/rational.h
-  common/rational.cpp
-  common/threadedobject.h
-  common/threadedobject.cpp
+  common/threadsafemap.h
+  common/timecodefunctions.cpp
   common/timecodefunctions.h
-  common/timecodefunctions.cpp
+  common/timerange.cpp
   common/timerange.h
-  common/timerange.cpp
   common/tohex.h
+  common/util.h
+  common/xmlutils.cpp
   common/xmlutils.h
-  common/xmlutils.cpp
   PARENT_SCOPE
 )

=== app/panel/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Olive - Non-Linear Video Editor
-# Copyright (C) 2019 Olive Team
+# Copyright (C) 2022 Olive Team
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== app/render/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2022 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(job)
add_subdirectory(ocioconf)
add_subdirectory(opengl)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  render/audioparams.cpp
  render/audioparams.h
  render/audioplaybackcache.cpp
  render/audioplaybackcache.h
  render/cancelatom.h
  render/color.cpp
  render/color.h
  render/colorprocessor.cpp
  render/colorprocessor.h
  render/colorprocessorcache.h
  render/diskmanager.cpp
  render/diskmanager.h
  render/framehashcache.cpp
  render/framehashcache.h
  render/framemanager.cpp
  render/framemanager.h
  render/managedcolor.cpp
  render/managedcolor.h
  render/playbackcache.cpp
  render/playbackcache.h
  render/previewaudiodevice.cpp
  render/previewaudiodevice.h
  render/previewautocacher.cpp
  render/previewautocacher.h
  render/renderer.cpp
  render/renderer.h
  render/rendercache.h
  render/renderjobtracker.cpp
  render/renderjobtracker.h
  render/rendermanager.cpp
  render/rendermanager.h
  render/rendermodes.h
  render/renderprocessor.cpp
  render/renderprocessor.h
  render/renderticket.cpp
  render/renderticket.h
  render/shadercode.h
  render/subtitleparams.cpp
  render/subtitleparams.h
  render/texture.cpp
  render/texture.h
  render/videoparams.cpp
  render/videoparams.h
  PARENT_SCOPE
)

set(OLIVE_RESOURCES
  ${OLIVE_RESOURCES}
  PARENT_SCOPE
)

=== app/widget/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Olive - Non-Linear Video Editor
-# Copyright (C) 2019 Olive Team
+# Copyright (C) 2022 Olive Team
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,23 +15,29 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 add_subdirectory(audiomonitor)
+add_subdirectory(bezier)
 add_subdirectory(clickablelabel)
 add_subdirectory(collapsebutton)
 add_subdirectory(colorbutton)
+add_subdirectory(colorlabelmenu)
 add_subdirectory(colorwheel)
 add_subdirectory(columnedgridlayout)
 add_subdirectory(curvewidget)
+add_subdirectory(filefield)
 add_subdirectory(flowlayout)
 add_subdirectory(focusablelineedit)
-add_subdirectory(footagecombobox)
+add_subdirectory(handmovableview)
 add_subdirectory(keyframeview)
 add_subdirectory(manageddisplay)
 add_subdirectory(menu)
 add_subdirectory(nodecombobox)
-add_subdirectory(nodecopypaste)
+add_subdirectory(nodeparamview)
+add_subdirectory(nodetableview)
+add_subdirectory(nodetreeview)
+add_subdirectory(nodevaluetree)
 add_subdirectory(nodeview)
-add_subdirectory(nodeparamview)
 add_subdirectory(panel)
+add_subdirectory(path)
 add_subdirectory(pixelsampler)
 add_subdirectory(playbackcontrols)
 add_subdirectory(projectexplorer)
@@ -39,6 +45,7 @@
 add_subdirectory(resizablescrollbar)
 add_subdirectory(scope)
 add_subdirectory(slider)
+add_subdirectory(standardcombos)
 add_subdirectory(taskview)
 add_subdirectory(timebased)
 add_subdirectory(timelinewidget)

=== app/dialog/export/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2022 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(codec)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  dialog/export/export.cpp
  dialog/export/export.h
  dialog/export/exportadvancedvideodialog.cpp
  dialog/export/exportadvancedvideodialog.h
  dialog/export/exportaudiotab.cpp
  dialog/export/exportaudiotab.h
  dialog/export/exportformatcombobox.cpp
  dialog/export/exportformatcombobox.h
  dialog/export/exportsubtitlestab.cpp
  dialog/export/exportsubtitlestab.h
  dialog/export/exportvideotab.cpp
  dialog/export/exportvideotab.h
  PARENT_SCOPE
)

=== app/node/distort/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2022 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(cornerpin)
add_subdirectory(crop)
add_subdirectory(flip)
add_subdirectory(mask)
add_subdirectory(transform)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  PARENT_SCOPE
)

=== app/node/input/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2022 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(time)
add_subdirectory(value)

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  PARENT_SCOPE
)

=== app/widget/colorlabelmenu/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2022 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  widget/colorlabelmenu/colorcodingcombobox.cpp
  widget/colorlabelmenu/colorcodingcombobox.h
  widget/colorlabelmenu/colorlabelmenu.cpp
  widget/colorlabelmenu/colorlabelmenu.h
  widget/colorlabelmenu/colorlabelmenuitem.cpp
  widget/colorlabelmenu/colorlabelmenuitem.h
  PARENT_SCOPE
)

=== app/widget/colorwheel/CMakeLists.txt ===
# Olive - Non-Linear Video Editor
# Copyright (C) 2022 Olive Team
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(OLIVE_SOURCES
  ${OLIVE_SOURCES}
  widget/colorwheel/colorgradientwidget.h
  widget/colorwheel/colorgradientwidget.cpp
  widget/colorwheel/colorpreviewbox.h
  widget/colorwheel/colorpreviewbox.cpp
  widget/colorwheel/colorspacechooser.h
  widget/colorwheel/colorspacechooser.cpp
  widget/colorwheel/colorswatchwidget.h
  widget/colorwheel/colorswatchwidget.cpp
  widget/colorwheel/colorvalueswidget.h
  widget/colorwheel/colorvalueswidget.cpp
  widget/colorwheel/colorwheelwidget.h
  widget/colorwheel/colorwheelwidget.cpp
  PARENT_SCOPE
)

=== debian/changelog ===
olive-editor (20220815+ds-3) unstable; urgency=medium

  * Upload to sid.
  * d/copyright: bump years, drop io/crc32* entry.
  * d/docs: renamed and updated.
  * d/control: drop version from libopencolorio-dev build-dependency.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 Aug 2022 09:27:26 +0200

olive-editor (20220815+ds-2) experimental; urgency=medium

  * d/control: add portaudio19-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Aug 2022 17:28:45 +0200

olive-editor (20220815+ds-1) experimental; urgency=medium

  * New upstream version. (Closes: #1004620)
  * Bump standards version to 4.6.1.
  * Update maintainer address.
  * d/control: wrap build depends, and version libopencolorio-dev.

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Aug 2022 11:00:19 +0200
